## screenruler 1.0

=== Makefile ===
DESTDIR =
SUBDIR = locale

all:
	$(MAKE) -C $(SUBDIR) $@ DESTDIR=$(DESTDIR)

clean:
	rm -f *~
	$(MAKE) -C $(SUBDIR) $@ DESTDIR=$(DESTDIR)

distclean: clean
	$(MAKE) -C $(SUBDIR) $@ DESTDIR=$(DESTDIR)

install:
	mkdir -p $(DESTDIR)/usr/share/screenruler
	for f in *.rb *.png *.glade utils; do \
	  cp -a $$f $(DESTDIR)/usr/share/screenruler; \
	done
	mkdir -p $(DESTDIR)/usr/bin
	install -m 775 screenruler.sh $(DESTDIR)/usr/bin/screenruler
	mkdir -p $(DESTDIR)/usr/share/pixmaps
	cp screenruler-icon-64x64.png $(DESTDIR)/usr/share/pixmaps/screenruler.png
	mkdir -p $(DESTDIR)/usr/share/applications
	cp screenruler.desktop $(DESTDIR)/usr/share/applications
	$(MAKE) -C $(SUBDIR) $@ DESTDIR=$(DESTDIR)

.PHONY: all clean install distclean

## screenruler 0.960%2Bbzr41

=== debian/control ===
Source: screenruler
Section: gnome
Priority: optional
Maintainer: Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>
Homepage: http://gnomecoder.wordpress.com/screenruler/
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.2

Package: screenruler
Architecture: all
Depends: ${misc:Depends}, ruby | ruby-interpreter, ruby-gtk2, ruby-cairo, ruby-gettext
Description: measure objects on screen with a variety of metrics
 ScreenRuler will display a ruler on screen which allows you to measure the
 other objects that you've there. It has the following features:
  * Horizontal and vertical measurement in 6 different metrics:
    pixels, centimetres, inches, picas, points, and as a percentage
    of the ruler's length.
  * Cusomizable colors and fonts.
  * Keyboard control for precise positioning.
  * Option for the ruler to stay always on top of other windows.

## screenruler 0.960+bzr41

=== debian/changelog ===
screenruler (0.960+bzr41-1) unstable; urgency=low

  * New upstream version + modifications from trunk:
     - Port to GtkBuilder and replace GConf with a YAML file (Closes: #639437,
       #654710).
     - Handle symlinks in screenruler.rb.
     - Added a help window and internationalization support.
     - Various bug fixes.
  * debian/control:
     - Update dependencies.
  * debian/screenruler.xpm:
     - Fix typo in Catalan translation and add a German translation.
  * debian/watch:
     - Delete it (no point, upstream version numbers are inconsistent).
  * screenruler.rb:
     - Hardcode Ruby 1.8.
  * Change to source format "3.0 (quilt)" and debhelper compatibility
    version 7, switch from CDBS to dh and bump Standards-Version to 3.9.2.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Tue, 24 Jan 2012 23:43:17 +0100

screenruler (0.900+bzr27-1) experimental; urgency=low

  * New upstream version + modifications from trunk:
     - Improved the "Track Mouse" feature.
  * debian/control:
     - Set libgtk2-ruby dependency minimum version to 0.18.1 (Closes: #508788).
     - Bump Standards-Version to 3.9.1.
  * Update copyright years and debian/install.
  * Add debian/source/format with content "1.0".

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Sun, 05 Dec 2010 14:13:41 +0100

screenruler (0.891+bzr25-1) unstable; urgency=low

  The "waiting for a sponsor since a year" release.

  * New upstream version + modifications from trunk:
     - Ask GDK for DPI settings, and allow users to override them in
       the configuration dialogue (Closes: #509049) (LP: #309159).
     - All patches except for hardcode-data-path.patch are upstreamed.
  * debian/{control,watch,copyright}:
     - Launchpad project name changed from "screen-ruler" to "screenruler"
       (Closes: #550767).
  * debian/copyright:
     - Change it to the machine readable format.
  * debian/screenruler.xpm:
     - Change it to the new tango-style image.
  * debian/{rules,install,links}:
     - Install screenruler.rb into /usr/share/screenruler and symlink it
       from there into /usr/bin.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Tue, 01 Dec 2009 18:39:20 +0100

screenruler (0.85-2) unstable; urgency=low

  * debian/patches/fix-color-parsing.patch:
     - The colour selection is not correctly saved, and if you change th
       colour screenruler may afterwards fails to start. The problem was
       that the string was being parsed as 8-bit, but it's 16-bit (LP: #273684).
  * debian/control:
     - Change the Maintainer field so that it doesn't contain my nick anymore.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Fri, 19 Dec 2008 17:28:20 +0100

screenruler (0.85-1) unstable; urgency=low

  * Initial release (Closes: #466691).
  * debian/patches/change-icon-path.patch:
     - Patch screenruler.glade so that it looks in /usr/share/pixmaps for
       the application's icon.
  * debian/patches/hardcode-data-path.patch:
     - Hardcode the path to /usr/share/screenruler so that the executable
       finds it.

 -- Siegfried-Angel Gevatter Pujals (RainCT) <rainct@ubuntu.com>  Tue, 04 Mar 2008 16:08:02 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: screenruler
 Architecture: all
-Depends: ${misc:Depends}, ruby | ruby-interpreter, ruby-gtk2, ruby-cairo, ruby-gettext
+Depends: ${misc:Depends}, ruby1.8, ruby-gtk2, ruby-cairo, libgettext-ruby1.8
 Description: measure objects on screen with a variety of metrics
  ScreenRuler will display a ruler on screen which allows you to measure the
  other objects that you've there. It has the following features:

## screenruler 0.960+bzr41+deb10

=== debian/changelog ===
screenruler (0.960+bzr41+deb10-6) unstable; urgency=medium

  * Fixed the dependency: ibcanberra-gtk3-module => libcanberra-gtk3-module
    Closes: #1000689

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 30 Nov 2021 09:56:31 +0100

screenruler (0.960+bzr41+deb10-5) unstable; urgency=medium

  * added a dependency on ibcanberra-gtk3-module. Closes: #1000230

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 26 Nov 2021 19:41:58 +0100

screenruler (0.960+bzr41+deb10-4) unstable; urgency=medium

  * nominated myself as the maintainer. Closes: #942619

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 25 Oct 2019 23:12:42 +0200

screenruler (0.960+bzr41+deb10-3) unstable; urgency=medium

  * make a source-only upload

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 25 Aug 2019 16:27:07 +0200

screenruler (0.960+bzr41+deb10-2) unstable; urgency=medium

  * fixed a name collision, thanks to Christian Schiffler
    <c.schiffler@cyberspectrum.de>. Closes: #899067
  * added a dependency on ruby-cairo-gobject.
    Closes: #868893; Closes: #767435; Closes: #670554

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 27 Jul 2019 19:18:31 +0200

screenruler (0.960+bzr41+deb10-1) unstable; urgency=medium

  * added myself as uploader
  * recompiled for debian10
  * upgraded dh level to 11, Standards-Version to 4.3.0
  * Closes: #931362

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 03 Jul 2019 08:38:10 +0200

screenruler (0.960+bzr41-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch for Ruby 1.9 support, drop hardcoding of 1.8 (Closes: #734954)

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 16 Jan 2014 11:08:20 +0100

screenruler (0.960+bzr41-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Replace obsolete libgettext-ruby1.8 dependency with
    ruby-gettext. (Closes: #709336)

 -- Felix Geyer <fgeyer@debian.org>  Mon, 03 Jun 2013 18:20:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,23 @@
 Source: screenruler
 Section: gnome
 Priority: optional
-Maintainer: Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>
+Maintainer: Georges Khaznadar <georgesk@debian.org>
+Uploaders: Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>
 Homepage: http://gnomecoder.wordpress.com/screenruler/
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/georgesk/screenruler
+Vcs-Git: https://salsa.debian.org/georgesk/screenruler.git
 
 Package: screenruler
 Architecture: all
-Depends: ${misc:Depends}, ruby1.8, ruby-gtk2, ruby-cairo, libgettext-ruby1.8
+Depends: ${misc:Depends},
+ ruby | ruby-interpreter,
+ ruby-gtk2,
+ ruby-cairo,
+ ruby-cairo-gobject,
+ ruby-gettext,
+ libcanberra-gtk3-module
 Description: measure objects on screen with a variety of metrics
  ScreenRuler will display a ruler on screen which allows you to measure the
  other objects that you've there. It has the following features:

## screenruler 1.0

=== debian/changelog ===
screenruler (1.0-2) unstable; urgency=medium

  * modified a dependency: ruby-gtk2 => ruby-gtk3.
    maybe ... Closes: #1006168
  * clear a previous bug report also. Closes: #1000230

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 21 Feb 2022 16:38:37 +0100

screenruler (1.0-1) unstable; urgency=medium

  * New upstream changes:
    + applied debian patches developed so far, as the future maintained
      upstream should be the tree available on salsa.debian.org
    + chdir to the development directory if we are developing,
      else to /usr/share/screeruler
    + fixed the deprecated Gtk:Pixbuf clause
    + fix the warning
      "Gtk-WARNING **: Unknown property: GtkWindow.has-resize-grip"
    + added Makefiles
    + authored a French translation
    + new directory for .mo files
  * added a shell script to launch an installed package of screenruler:
    screenruler.sh
  * using rxgettext to match Ruby files
  * migrated Ruby files and Glade files to Gtk3. Closes: #1000689
  * removed old GTK hacks which were in utils/addons_gtk.rb
  * bumped Standards-Version: 4.6.0, debhelper-compat (= 13)
  * added a build-dependency on ruby-gettext

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 17 Feb 2022 20:32:55 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Uploaders: Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>
 Homepage: http://gnomecoder.wordpress.com/screenruler/
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13),
+ ruby-gettext
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/georgesk/screenruler
 Vcs-Git: https://salsa.debian.org/georgesk/screenruler.git
 
@@ -13,7 +14,7 @@
 Architecture: all
 Depends: ${misc:Depends},
  ruby | ruby-interpreter,
- ruby-gtk2,
+ ruby-gtk3,
  ruby-cairo,
  ruby-cairo-gobject,
  ruby-gettext,

## screenruler 1.1

=== debian/changelog ===
screenruler (1.1-1) unstable; urgency=medium

  * new upstream version
  * use rescue only for Errno::EEXIST
  * bumped Standards-Version: 4.6.1

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 22 Feb 2022 18:14:32 +0100

## screenruler 1.2

=== debian/changelog ===
screenruler (1.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use versioned copyright format URI.
  * debian/copyright: use spaces rather than tabs to start continuation lines.

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 19:12:05 +0100

screenruler (1.2-2) unstable; urgency=medium

  * fixed the watch file

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 02 Nov 2022 18:12:35 +0100

screenruler (1.2-1) unstable; urgency=medium

  * updated fr.po
  * added a watch file
  * New upstream version 1.2

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 10 Jul 2022 20:07:43 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Homepage: http://gnomecoder.wordpress.com/screenruler/
 Build-Depends: debhelper-compat (= 13),
  ruby-gettext
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/georgesk/screenruler
 Vcs-Git: https://salsa.debian.org/georgesk/screenruler.git

=== debian/watch ===
version=4

# salsa

opts="mode=git, gitmode=full, pgpmode=none" \
 https://salsa.debian.org/georgesk/screenruler.git \
 refs/tags/upstream/([\d\.]+) \
 debian uupdate

## screenruler 1.2.1

=== locale/Makefile ===
DESTDIR =
POTFILE =   screenruler.pot
POFILES =   $(shell ls *.po)
LANGUAGES = $(patsubst %.po, %, $(POFILES))
MOFILES =   $(patsubst %.po, %/screenruler.mo, $(POFILES))
MODIRS =    $(patsubst %.po, %, $(POFILES))
#SOURCES = $(shell ls ../*.rb ../*.glade)
SOURCES = $(shell ls ../*.rb)

all: $(POTFILE) $(MODIRS) $(MOFILES)



clean:
	rm -f *~

distclean: clean
	rm -f $(POTFILE) $(MOFILES)
	rm -rf $(MODIRS)

install:
	mkdir -p $(DESTDIR)/usr/share/screenruler/locale
	for l in $(LANGUAGES); do \
	  cp -a $$l $(DESTDIR)/usr/share/screenruler/locale; \
	done

$(MODIRS):
	for d in $(MODIRS); do mkdir -p $$d; done

%/screenruler.mo: %.po
	msgfmt $< -o $@

%po: $(POTFILE)
	msgmerge --update $@ $(POTFILE)
	touch $@

$(POTFILE): $(SOURCES) Makefile
	rxgettext -o $(POTFILE) $(SOURCES)

.PHONY: all clean distclean install

=== debian/changelog ===
screenruler (1.2.1-1) unstable; urgency=medium

  * fixed missing dots in debian/copyright
  * bumped Standards-Version: 4.6.2
  * removed the dependency on deprecated ruby-interpreter,
    added a dependency on $(misc:Ruby) and ruby
  * added --with ruby in d/rules
  * new upstream version 1.2.1. Closes: #1049194

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 12 Nov 2023 16:14:50 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,17 @@
 Uploaders: Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>
 Homepage: http://gnomecoder.wordpress.com/screenruler/
 Build-Depends: debhelper-compat (= 13),
- ruby-gettext
-Standards-Version: 4.6.1
+ ruby-gettext,
+ gem2deb
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/georgesk/screenruler
 Vcs-Git: https://salsa.debian.org/georgesk/screenruler.git
 
 Package: screenruler
 Architecture: all
 Depends: ${misc:Depends},
- ruby | ruby-interpreter,
+ ${misc:Ruby},
+ ruby,
  ruby-gtk3,
  ruby-cairo,
  ruby-cairo-gobject,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@  --with ruby
